Page MenuHomePhabricator

Experiment with acceptance testing of core MW-Vagrant features
Closed, ResolvedPublic

Description

After experimenting with vagrant-spec for functional testing of our plugin, it proved a bit too unstable (it is marked as highly experimental after all). Using a combination of low-level, atomic unit tests (see T76627) for the core classes/modules of our plugin, and select high-level acceptance tests using Cucumber may actually yield better coverage with less fragility.

Ideally, we'd be able to execute the latter as a gate-and-submit job.

Event Timeline

dduvall created this task.Feb 13 2015, 8:10 PM
dduvall claimed this task.
dduvall raised the priority of this task from to Medium.
dduvall updated the task description. (Show Details)
dduvall added a project: MediaWiki-Vagrant.
dduvall added subscribers: hashar, Cmcmahon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 8:11 PM
gerritbot added a subscriber: gerritbot.

Change 190586 had a related patch set uploaded (by Dduvall):
plugin: Acceptance tests for vagrant config

https://gerrit.wikimedia.org/r/190586

Patch-For-Review

Change 191119 had a related patch set uploaded (by Dduvall):
Experimental cucumber job for mediawiki-vagrant

https://gerrit.wikimedia.org/r/191119

Patch-For-Review

Change 191119 merged by jenkins-bot:
Experimental cucumber job for mediawiki-vagrant

https://gerrit.wikimedia.org/r/191119

Change 190586 merged by jenkins-bot:
plugin: Acceptance tests for vagrant config

https://gerrit.wikimedia.org/r/190586

Change 192860 had a related patch set uploaded (by Dduvall):
Make mediawiki-vagrant cucumber job voting

https://gerrit.wikimedia.org/r/192860

Change 192860 merged by jenkins-bot:
Make mediawiki-vagrant cucumber job voting

https://gerrit.wikimedia.org/r/192860

dduvall closed this task as Resolved.Feb 27 2015, 10:05 PM
bd808 moved this task from In Progress to Done on the MediaWiki-Vagrant board.Mar 5 2015, 5:33 PM